<?php
if ( ! defined('CANARY_ENABLED' ) ) {
    define( 'CANARY_ENABLED', false );
}

// Directories
if ( ! defined( 'CANARY_ROOT_DIRECTORY' ) ) {
    define( 'CANARY_ROOT_DIRECTORY', dirname( __DIR__ ) . DIRECTORY_SEPARATOR );
}
if ( ! defined( 'CANARY_CONFIG_DIRECTORY' ) ) {
    define( 'CANARY_CONFIG_DIRECTORY', CANARY_ROOT_DIRECTORY . 'config' . DIRECTORY_SEPARATOR );
}

// Log Levels
if ( ! defined('CANARY_DEBUG_LEVEL_ERROR' ) ) {
    define( 'CANARY_DEBUG_LEVEL_ERROR', 'error' );
}
if ( ! defined('CANARY_DEBUG_LEVEL_WARN' ) ) {
    define( 'CANARY_DEBUG_LEVEL_WARN', 'warn' );
}
if ( ! defined('CANARY_DEBUG_LEVEL_INFO' ) ) {
    define( 'CANARY_DEBUG_LEVEL_INFO', 'info' );
}
if ( ! defined('CANARY_DEBUG_LEVEL_LOG' ) ) {
    define( 'CANARY_DEBUG_LEVEL_LOG', 'log' );
}
if ( ! defined('CANARY_DEBUG_LEVEL_DEBUG' ) ) {
    define( 'CANARY_DEBUG_LEVEL_DEBUG', 'debug' );
}

// File Logging
if ( ! defined('CANARY_DEBUG_TO_FILE' ) ) {
    define( 'CANARY_DEBUG_TO_FILE', false );
}
if ( ! defined( 'CANARY_DEBUG_DIRECTORY' ) ) {
    define( 'CANARY_DEBUG_DIRECTORY', CANARY_ROOT_DIRECTORY . 'logs' . DIRECTORY_SEPARATOR  );
}
if ( ! defined( 'CANARY_DEBUG_TO_FILE_LEVEL' ) ) {
    define( 'CANARY_DEBUG_TO_FILE_LEVEL', CANARY_DEBUG_LEVEL_ERROR );
}

if ( ! defined( 'CANARY_SECURE_HASH' ) ) {
    define( 'CANARY_SECURE_HASH', '' );
}
if ( ! defined( 'CANARY_SHOW_LINES' ) ) {
    define( 'CANARY_SHOW_LINES', false );
}
if ( ! defined('CANARY_DEBUG_TO_CONSOLE' ) ) {
    define( 'CANARY_DEBUG_TO_CONSOLE', false );
}

# Tell the app all constants have been loaded.
if ( ! defined('CANARY_CONSTANTS_LOADED' ) ) {
    define( 'CANARY_CONSTANTS_LOADED', true );
}
